html,
body {
    overflow-x: hidden; /* Prevent scroll on narrow devices */
    font-family: "Afacad Flux", sans-serif;
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;
    font-variation-settings: "slnt" 0;
}

body {
    padding-top: 90px;
}

@media (max-width: 991.98px) {
    .offcanvas-collapse {
        position: fixed;
        top: 90px; /* Height of navbar */
        bottom: 0;
        left: 100%;
        width: 100%;
        padding-right: 1rem;
        padding-left: 1rem;
        overflow-y: auto;
        visibility: hidden;
        background-color: rgba(var(--bs-tertiary-bg-rgb),var(--bs-bg-opacity)) !important;
        transition: transform .3s ease-in-out, visibility .3s ease-in-out;
    }

        .offcanvas-collapse.open {
            visibility: visible;
            transform: translateX(-100%);
        }
}

.nav-scroller {
    position: relative;
    z-index: 2;
    height: 2.75rem;
    overflow-y: hidden;
}

    .nav-scroller .nav {
        display: flex;
        flex-wrap: nowrap;
        padding-bottom: 1rem;
        margin-top: -1px;
        overflow-x: auto;
        text-align: center;
        white-space: nowrap;
        -webkit-overflow-scrolling: touch;
    }

    .nav-scroller .nav {
        color: rgba(255, 255, 255, .75);
    }

    .nav-scroller .nav-link {
        padding-top: .75rem;
        padding-bottom: .75rem;
        font-size: .875rem;
        color: #6c757d;
    }

        .nav-scroller .nav-link:hover {
            color: #007bff;
        }

    .nav-scroller .active {
        font-weight: 500;
        color: #343a40;
    }

.bg-purple {
    background-color: #6f42c1;
}

#menuNavbar a.nav-link {
    font-size: 25px !important;
    font-weight: 600;
}

#menuNavbar li.nav-item.dropdown ul.dropdown-menu li a {
    font-size: 21px !important;
}

footer a.nav-link {
    font-size: 20px !important;
}

footer button.nav-link {
    font-size: 20px !important;
}

.single-line {
    overflow: auto;
    white-space: nowrap;
}

/*@media (max-width: 460px) {
    .product-list-item button {
        font-size: 14px;
    }
}

@media (max-width: 430px) {
    .product-list-item button {
        font-size: 13px;
    }
}

@media (max-width: 416px) {
    .product-list-item button {
        font-size: 12px;
        padding-right: 10px;
        padding-left: 10px;
    }
}

@media (max-width: 390px) {
    .product-list-item button {
        font-size: 12px;
        padding-right: 7px;
        padding-left: 7px;
    }
}

@media (max-width: 363px) {
    .product-list-item button {
        font-size: 12px;
        padding-right: 5px;
        padding-left: 5px;
    }
}

@media (max-width: 363px) {
    .product-list-item button {
        font-size: 12px;
        padding-right: 5px;
        padding-left: 5px;
    }
}*/

.profile-menu {
    border: 2px solid black;
    padding: 10px 5px;
    background-color: white;
    border-radius: 0.375rem;
}

.profile-menu-item {
    padding: 10px;
}

    .profile-menu-item.selected {
        color: white !important;
        background-color: #0b5ed7 !important;
        border-radius: 5px;
    }

    .profile-menu-item:hover {
        background-color: #1fa5ff !important;
        border-radius: 5px;
    }

    .profile-menu-item a {
        color: black;
        text-decoration: none;
        font-size: 20px;
        font-weight: 500;
    }

        .profile-menu-item a:hover, .profile-menu-item.selected a {
            color: white !important;
        }

        .profile-menu-item a i {
            padding-right: 10px;
        }

.profile-container {
    min-height: 600px;
    width: 100%;
    border: 2px solid black;
    padding: 5px;
}

.card-check {
    position: absolute;
    top: 10px;
    left: 15px;
}

.card-buttons {
    position: absolute;
    top: 10px;
    right: 15px;
}

.padding-top-40 {
    padding-top: 40px !important;
}

@media (min-width: 576px) {
    .profile-container {
        margin: 50px 20px;
    }

    .profile-menu {
        margin: 50px 20px;
    }
}

@media (max-width: 576px) {

    .profile-menu {
        margin: 20px 0px;
    }

    .product-list-item .card-title {
        font-size: 1rem !important;
    }

    .product-list-item .card-text {
        font-size: 0.9rem !important;
    }

    .product-list-item button {
        font-size: 0.8rem !important;
    }

    .px-xs-0 {
        padding-right: 0 !important;
        padding-left: 0 !important;
    }

    .d-xs-none{
        display: none !important;
    }

    .order-details-card {
        font-size: 0.8rem !important;
    }
}
